//uart.h
//header file for uart routines
#ifndef UART_H
#define UART_H

#define COMBUFFERSIZE 64

volatile char ComBuffer[COMBUFFERSIZE];
volatile uint8_t WritePointer;
uint8_t ReadPointer;

void UartInit(void);
void PutChar(char);
char GetChar(void);
void SendString(const char *str);
void ProcessInput(void);
void DownloadData(void);
void SendBadCommand(void);
void SendBadParam(void);
#endif 
